import numpy as np
import math
import matplotlib as mpl
mpl.use('Agg')
import matplotlib.pyplot as plt

f1500 = file("1500.bin","rb")
f2500 = file("2500.bin","rb")
Contf1500 = np.load(f1500)
Contf2500 = np.load(f2500)
f1500.close()
f2500.close()

plt.figure()
plt.grid()

plt.plot(Contf1500[:,0],Contf1500[:,1],'b--', label=r'T = 1500s', linewidth=1)
plt.plot(Contf2500[:,0],Contf2500[:,1],'r..', label=r'T = 2500s', linewidth=1)
plt.legend(loc='best', borderaxespad=0., fontsize=20)
plt.xlim([0.4,0.5])
plt.ylim([3.85,5.05])
plt.xlabel(r'Propulsion $\sigma$/$\sigma_0$', fontsize=30)
plt.ylabel(r'Adhesion $\alpha$/$\alpha_0$', fontsize=30)
plt.tick_params(axis='both', which='major', labelsize=15)
plt.tick_params(axis='both', which='minor', labelsize=8)
plt.tight_layout()
plt.savefig('Cont.eps', dpi=500)
plt.close()
